Subject: Re: linux-next: build warnings after merge of the net-next tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 12 Aug 2025 14:36:00 +1000

Hi Paolo,

On Mon, 11 Aug 2025 11:53:38 +0200 Paolo Abeni <[email-masked]> wrote:
>
> On 8/1/25 6:42 AM, Stephen Rothwell wrote:
> > On Fri, 11 Jul 2025 18:31:29 +1000 Stephen Rothwell <[email-masked]> wrote:  
> >>
> >> After merging the net-next tree, today's linux-next build (htmldocs)
> >> produced these warnings:
> >>
> >> include/linux/virtio.h:172: warning: Excess struct member 'features' description in 'virtio_device'
> >> include/linux/virtio.h:172: warning: Excess struct member 'features_array' description in 'virtio_device'
> >>
> >> Introduced by commit
> >>
> >>   e7d4c1c5a546 ("virtio: introduce extended features")  
> > 
> > I am still seeing those warnings.  That commit is now in Linus' tree.  
> 
> I'm sorry for the latency, I was off-the-grid in the past weeks.
> 
> I observed that warnings in an earlier revision of the relevant patch,
> but I thought the previous commit:
> 
> eade9f57ca72 ("scripts/kernel_doc.py: properly handle
> VIRTIO_DECLARE_FEATURES")
> 
> addressed it. At least I can't see the warnings locally while running:
> 
> make V=1 C=1 htmldocs
> 
> Perhaps it's sphinx version dependent? I'm using sphinx-build 7.3.7
> Could you please share the exact command line and tools version used?

I have been using the (older) perl version because it coped with files
being missing.  The (newer) python version (which you run) now seems
to cope to have been enhanced, so I sill start using it instead.  It
(as you say) does not report the above warnings, so I will ignore them
as well.

-- 
Cheers,
Stephen Rothwell